Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023060
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupcriticalalways2013-02-12 19:452013-02-20 04:50
ReporterdmiguelezView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Version3.0MP20
StatusclosedFix in branchFixed in SCM revision616685f33ea2
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2012-10-24
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/08ae440f4c71 [^]
Triggers an Emergency PackNo
Summary

0023060: Not possible to import a Client. Event Handlers should be disabled.

DescriptionNot possible to import a Client.
The problem is that Event Handlers are not disabled before importing the data, event though the Triggers are.
Steps To ReproduceAs System.

Delete F&B Client.
Copy the F&B xml file from sampledata to importclient folder.
Import F&B Client.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0023019 closeddmiguelez Error Import Client 
related to defect 0023343 closediciordia API Change - Event Handlers are disabled while data is being imported 

-  Notes
(0056413)
hgbot (developer)
2013-02-13 13:05

Repository: erp/devel/pi
Changeset: 788979b3e20ed755ee3594e7a36c95626f430175
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Feb 13 13:02:57 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/788979b3e20ed755ee3594e7a36c95626f430175 [^]

Fixes issue 23060: Event handlers disabled when data is being imported

When data is being imported there will be a register in the AD_Session_Status table with the importing column set to true. In that case all event handlers will
 be disabled by means of making the EntityPersistenceEventObserver.isValidEvent method return false.

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/event/EntityPersistenceEventObserver.java
M src/org/openbravo/erpCommon/utility/Utility.java
---
(0056414)
alostale (developer)
2013-02-13 13:39

Reopen after code review.

Current fix adds an extra DB query whenever an entity is modified.

This might be replaced by TriggerHandler.getInstance().isDisabled() which checks in session rather than in DB.
(0056415)
hgbot (developer)
2013-02-13 14:45

Repository: erp/devel/pi
Changeset: 616685f33ea297365f386fcb6322ecc35156a83e
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Feb 13 14:44:20 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/616685f33ea297365f386fcb6322ecc35156a83e [^]

Fixes issue 23060: Disables event handlers using session info

Instead of querying the database each time an event handlers is going to be executed to check is the system is importing data, that information is taken from the session using TriggerHandler.getInstance().isDisabled().

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/event/EntityPersistenceEventObserver.java
M src/org/openbravo/erpCommon/utility/Utility.java
---
(0056428)
alostale (developer)
2013-02-14 08:07

Code reviewed + tested on pi@d033d813595f

Executed test plan: imported F&B client
(0056590)
hudsonbot (developer)
2013-02-20 04:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d828167a9e83 [^]

Maturity status: Test
(0056591)
hudsonbot (developer)
2013-02-20 04:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d828167a9e83 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-02-12 19:45 dmiguelez New Issue
2013-02-12 19:45 dmiguelez Assigned To => AugustoMauch
2013-02-12 19:45 dmiguelez Modules => Core
2013-02-12 19:45 dmiguelez Triggers an Emergency Pack => No
2013-02-12 19:45 dmiguelez Relationship added related to 0023019
2013-02-12 19:46 dmiguelez Regression level => Production - QA Approved
2013-02-12 19:46 dmiguelez Regression date => 2012-10-24
2013-02-12 19:46 dmiguelez Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/08ae440f4c71 [^]
2013-02-13 09:42 jecharri Issue Monitored: jecharri
2013-02-13 12:57 AugustoMauch Issue Monitored: alostale
2013-02-13 12:57 AugustoMauch Review Assigned To => alostale
2013-02-13 13:05 hgbot Checkin
2013-02-13 13:05 hgbot Note Added: 0056413
2013-02-13 13:05 hgbot Status new => resolved
2013-02-13 13:05 hgbot Resolution open => fixed
2013-02-13 13:05 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/788979b3e20ed755ee3594e7a36c95626f430175 [^]
2013-02-13 13:39 alostale Note Added: 0056414
2013-02-13 13:39 alostale Status resolved => new
2013-02-13 13:39 alostale Resolution fixed => open
2013-02-13 14:45 hgbot Checkin
2013-02-13 14:45 hgbot Note Added: 0056415
2013-02-13 14:45 hgbot Status new => resolved
2013-02-13 14:45 hgbot Resolution open => fixed
2013-02-13 14:45 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/788979b3e20ed755ee3594e7a36c95626f430175 [^] => http://code.openbravo.com/erp/devel/pi/rev/616685f33ea297365f386fcb6322ecc35156a83e [^]
2013-02-14 08:07 alostale Note Added: 0056428
2013-02-14 08:07 alostale Status resolved => closed
2013-02-14 08:07 alostale Fixed in Version => 3.0MP20
2013-02-20 04:50 hudsonbot Checkin
2013-02-20 04:50 hudsonbot Note Added: 0056590
2013-02-20 04:50 hudsonbot Checkin
2013-02-20 04:50 hudsonbot Note Added: 0056591
2013-03-19 17:23 AugustoMauch Relationship added related to 0023343


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker